PHP Manual
Prev |  | Next

# SDO_Model_ReflectionDataObject::getType

(no version information, might be only in CVS)

SDO_Model_ReflectionDataObject::getType -- Get the SDO_Model_Type for the SDO_DataObject

## Description

SDO_Model_Type SDO_Model_ReflectionDataObject::getType ( void )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Returns the SDO_Model_Type for the SDO_DataObject. The SDO_Model_Type holds all the information about the data object's type, such as namespace URI, type name, whether it is a primitive data type, and so on.

## Parameters

None.

## Return Values

Returns the SDO_Model_Type for the SDO_DataObject.

Prev | Home | Next
SDO_Model_ReflectionDataObject::getInstanceProperties | Up | SDO_Model_Type::getBaseType